Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sptts2

    java.lang.Object
      org.netlib.lapack.Sptts2

    public class Sptts2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SPTTS2 solves a tridiagonal system of the form
     *     A * X = B
     *  using the L*D*L' factorization of A computed by SPTTRF.  D is a
     *  diagonal matrix specified in the vector D, L is a unit bidiagonal
     *  matrix whose subdiagonal is specified in the vector E, and X and B
     *  are N by NRHS matrices.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the tridiagonal matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  D       (input) REAL array, dimension (N)
     *          The n diagonal elements of the diagonal matrix D from the
     *          L*D*L' factorization of A.
     *
     *  E       (input) REAL array, dimension (N-1)
     *          The (n-1) subdiagonal elements of the unit bidiagonal factor

     *          L from the L*D*L' factorization of A.  E can also be regarded
     *          as the superdiagonal of the unit bidiagonal factor U from the
     *          factorization A = U'*D*U.
     *
     *  B       (input/output) REAL array, dimension (LDB,NRHS)
     *          On entry, the right hand side vectors B for the system of
     *          linear equations.
     *          On exit, the solution vectors, X.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Sptts2()`

Method Summary
`static void` | `sptts2(int n, int nrhs, float[] d, int _d_offset, float[] e, int _e_offset, float[] b, int _b_offset, int ldb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sptts2

    public Sptts2()

Method Detail

### sptts2

    public static void sptts2(int n,
                              int nrhs,
                              float[] d,
                              int _d_offset,
                              float[] e,
                              int _e_offset,
                              float[] b,
                              int _b_offset,
                              int ldb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD